Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPrinter.DuplexMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QPrinter.DuplexMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QPrinter

    public static final class QPrinter.DuplexMode

extends java.lang.Enum
implements QtEnumerator

This enum is used to indicate whether printing will occur on one or both sides of each sheet of paper (simplex or duplex printing).

See Also:
  Serialized Form

Field Summary
`static QPrinter.DuplexMode` | `DuplexAuto` The printer's default setting is used to determine whether duplex printing is used.
`static QPrinter.DuplexMode` | `DuplexLongSide` Both sides of each sheet of paper are used for printing.
`static QPrinter.DuplexMode` | `DuplexNone` Single sided (simplex) printing only.
`static QPrinter.DuplexMode` | `DuplexShortSide` Both sides of each sheet of paper are used for printing.

Method Summary
`static QPrinter.DuplexMode` | `resolve(int value)` Returns the QPrinter$DuplexMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPrinter.DuplexMode` | `valueOf(java.lang.String name)`
`static QPrinter.DuplexMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DuplexNone

    public static final QPrinter.DuplexMode DuplexNone

  Single sided (simplex) printing only.

### DuplexAuto

    public static final QPrinter.DuplexMode DuplexAuto

  The printer's default setting is used to determine whether duplex printing is used.

### DuplexLongSide

    public static final QPrinter.DuplexMode DuplexLongSide

  Both sides of each sheet of paper are used for printing. The paper is turned over its longest edge before the second side is printed

### DuplexShortSide

    public static final QPrinter.DuplexMode DuplexShortSide

  Both sides of each sheet of paper are used for printing. The paper is turned over its shortest edge before the second side is printed

Method Detail

### values

    public static QPrinter.DuplexMode[] values()

### valueOf

    public static QPrinter.DuplexMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPrinter.DuplexMode resolve(int value)

  Returns the QPrinter$DuplexMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD